aboutsummaryrefslogtreecommitdiff
path: root/scripts/brew.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/brew.sh')
-rwxr-xr-xscripts/brew.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/brew.sh b/scripts/brew.sh
new file mode 100755
index 0000000..7ae70d1
--- /dev/null
+++ b/scripts/brew.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env zsh
+set -e
+
+SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)"
+REPO_ROOT="$(cd "$SCRIPT_DIR/.." && pwd)"
+BREWFILE_PATH="$REPO_ROOT/Brewfile"
+
+/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
+brew bundle --file "$BREWFILE_PATH" \ No newline at end of file